%define anolis_release 1
%global qt_module qtquickcontrols

Name:    qt5-%{qt_module}
Summary: Qt5 - module with set of QtQuick controls
Version: 5.15.8
Release: %{anolis_release}%{?dist}

License: LGPLv2 or LGPLv3 and GFDL
Url:     http://www.qt.io
%global majmin %(echo %{version} | cut -d. -f1-2)
Source0: https://download.qt.io/official_releases/qt/%{majmin}/%{version}/submodules/%{qt_module}-everywhere-opensource-src-%{version}.tar.xz

# filter qml provides
%global __provides_exclude_from ^%{_qt5_archdatadir}/qml/.*\\.so$

BuildRequires: make
BuildRequires:  qt5-qtbase-devel >= %{version}
BuildRequires:  qt5-qtbase-static >= %{version}
BuildRequires:  qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5} = %{_qt5_version}}
BuildRequires:  qt5-qtdeclarative-devel

%description
The Qt Quick Controls module provides a set of controls that can be used to
build complete interfaces in Qt Quick.

%package examples
Summary: Programming examples for %{name}
Requires: %{name} = %{version}-%{release}
%description examples
%{summary}.


%prep
%autosetup -n %{qt_module}-everywhere-src-%{version} -p1


%build
%{qmake_qt5}

%make_build


%install
make install INSTALL_ROOT=%{buildroot}


%files
%license LICENSE.*
%{_qt5_archdatadir}/qml/QtQuick/

%if 0%{?_qt5_examplesdir:1}
%files examples
%{_qt5_examplesdir}/
%endif


%changelog
* Thu Jan 19 2023 Funda Wang <fundawang@yeah.net> - 5.15.8-1
- New version 5.15.8

* Thu Dec 8 2022 Funda Wang <fundawang@yeah.net> - 5.15.7-1
- Import 5.15.7
